> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ar customer statement

> Ar customer statement

### Path parameters

<ParamField path="customer_id" type="string" required>
  Customer ID
</ParamField>

### Query parameters

<ParamField query="period_start" type="string">
  RFC 3339 period start (defaults to 30 days ago).
</ParamField>

<ParamField query="period_end" type="string">
  RFC 3339 period end (defaults to now).
</ParamField>

<ParamField query="include_paid_invoices" type="boolean" />

### Responses

<ResponseField name="200" type="ArCustomerStatementResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/ar/customers/{customer_id}/statement' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "closing_balance": "string",
    "customer_id": "string",
    "customer_name": "string",
    "line_items": [
      {
        "balance": "string",
        "credit": null,
        "date": "string",
        "debit": null,
        "description": "string",
        "reference_number": "string",
        "transaction_type": "string"
      }
    ],
    "opening_balance": "string",
    "period_end": "string",
    "period_start": "string",
    "total_credits": "string",
    "total_invoices": "string",
    "total_payments": "string"
  }
  ```
</ResponseExample>
